View Issue Details

IDProjectCategoryView StatusLast Update
0003153WishesGrabberpublic2016-01-16 21:03
Reporterfml2Assigned ToDrKnS 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0 
Summary0003153: Стартовать следующий сеанс грабера в режиме предыдущего (прямоугольный/поточный)
DescriptionНедавно был введен новый режим грабера: поточный. Мне кажется, было бы неплохо запоминать, в каком режиме был завершен "сеанс" грабера, и стартовать следующий сеанс в том же режиме.

Обоснование: последовательные вызовы грабера делаются, скорее всего, для того, чтобы выполнить сходные операции. Поэтому хорошо бы было сохранять режим.

Сейчас (сборка 4509) грабер всегда стартует в прямоугольном режиме.

Всё вышесказанное должно, по-моему, действовать для каждого запущенного экземпляра Фара в отдельности, т.е. изменение режима в одном экземпляре не должно влиять на режим при следующем запуске грабера в другом экземпляре.

Отдельно можно подумать над тем, не стоит ли ввести опцию для задания режима грабера при первом его вызове во вновь запущенном экземпляре Фара. Но это уже, наверное, отдельная хотелка.
TagsNo tags attached.
Build4511

Activities

DrKnS

2016-01-16 00:30

administrator   bugnote:0014206

4511

fml2

2016-01-16 01:56

reporter   bugnote:0014207

Спасибо за быструю реакцию. Функциональность еще не пробовал (официальная сборка пока отсутствует), но в код уже заглянул (ради интереса). В Фаре "разрешено" использование статических переменных? Это не считается "плохим стилем"?

DrKnS

2016-01-16 02:24

administrator   bugnote:0014208

В зависимости от контекста.
Для реализации единственного экземпляра чего-нибудь - ок.
Для каких-нибудь сугубо константных данных - тоже ок.
Для иллюзорной экономии стека и нескольких тактов на инициализации- не ок.

fml2

2016-01-16 18:40

reporter   bugnote:0014218

Спасибо, всё работает как надо. Можно эту хотелку закрывать. Может, ввести еще опцию (в config, т.е. без граф. интерфейса) для задания начального режима?

И еще: раз уж вы занялись грабером, может, посмотрите на хотелку 2315 (прыгание по словам в грабере)? С введением поточного режима грабера эта хотелка стала еще актуальнее.

DrKnS

2016-01-16 21:03

administrator   bugnote:0014219

Запишите хотелку, посмотрим.

Issue History

Date Modified Username Field Change
2016-01-15 13:52 fml2 New Issue
2016-01-16 00:30 DrKnS Note Added: 0014206
2016-01-16 00:30 DrKnS Assigned To => DrKnS
2016-01-16 00:30 DrKnS Status new => feedback
2016-01-16 01:56 fml2 Note Added: 0014207
2016-01-16 01:56 fml2 Status feedback => assigned
2016-01-16 02:24 DrKnS Note Added: 0014208
2016-01-16 18:40 fml2 Note Added: 0014218
2016-01-16 21:03 DrKnS Note Added: 0014219
2016-01-16 21:03 DrKnS Build => 4511
2016-01-16 21:03 DrKnS Status assigned => closed
2016-01-16 21:03 DrKnS Resolution open => fixed
2016-01-16 21:03 DrKnS Fixed in Version => 3.0
2016-11-03 10:56 DrKnS Category Graber => Grabber